MyProject/src/beans/Post.java
package beans;

import java.io.Serializable;

import dao.UserDao;

public class Post implements Serializable {
	private int id;
	private int roomId;
	private int contributerId;
	private String content;
	private String createDate;
	private String updateDate;

	public Post() {

	}

	//全データをセット
	public Post(int id, int roomId, int contributerId, String content, String createDate, String updateDate) {
		this.id = id;
		this.roomId = roomId;
		this.contributerId = contributerId;
		this.content = content;
		this.createDate = createDate;
		this.updateDate = updateDate;

	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public int getRoomId() {
		return roomId;
	}

	public void setRoomId(int roomId) {
		this.roomId = roomId;
	}

	public int getContributerId() {
		return contributerId;
	}

	public void setContributerId(int contributerId) {
		this.contributerId = contributerId;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getCreateDate() {
		return createDate;
	}

	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}

	public String getUpdateDate() {
		return updateDate;
	}

	public void setUpdateDate(String updateDate) {
		this.updateDate = updateDate;
	}
	// 結合テーブル情報
	public User getContributer() {
		UserDao userDao = new UserDao();
		User user = userDao.newUserLogin(this.contributerId);
		return user;
	}
}

MyProject/src/beans/Room.java
package beans;

import java.io.Serializable;

import dao.UserDao;

public class Room implements Serializable {
	private int id;
	private int creatorId;
	private String name;
	private String roomDetail;
	private String createDate;
	private String updateDate;

	public Room() {

	}

	//全データをセット
	public Room(int id, int creatorId, String name, String roomDetail, String createDate, String updateDate) {
		this.id = id;
		this.creatorId = creatorId;
		this.name = name;
		this.roomDetail =roomDetail;
		this.createDate = createDate;
		this.updateDate = updateDate;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public int getCreatorId() {
		return creatorId;
	}


	public void setCreatorId(int creatorId) {
		this.creatorId = creatorId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getRoomDetail() {
		return roomDetail;
	}

	public void setRoomDetail(String roomDetail) {
		this.roomDetail = roomDetail;
	}

	public String getCreateDate() {
		return createDate;
	}

	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}

	public String getUpdateDate() {
		return updateDate;
	}

	public void setUpdateDate(String updateDate) {
		this.updateDate = updateDate;
	}

	// 結合テーブル情報
	public User getCreatorBeans() {
		UserDao dao = new UserDao();
		User user = dao.newUserLogin(this.creatorId);
		return user;
	}

}

MyProject/src/controller/DeleteServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.User;
import dao.UserDao;

/**
 * Servlet implementation class DeleteServlet
 */
@WebServlet("/DeleteServlet")
public class DeleteServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public DeleteServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		//ログイン時のセッションを取得
		HttpSession session = request.getSession();
		User user = (User) session.getAttribute("userInfo");
		//セッションがない場合はログイン画面へ
		if (user == null) {
			request.setAttribute("errMsg", "ログインしてください");
			//フォワード(ログイン画面に戻る)
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
			dispatcher.forward(request, response);
			return;
		}

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/delete.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		// リクエストパラメータの文字コードを指定
		request.setCharacterEncoding("UTF-8");

		//ログインIDを受け取る
		String loginId = request.getParameter("loginId");

		UserDao userDao = new UserDao();
		userDao.Delete(loginId);

		//ログアウトサーブレットへリダイレクトしてセッションを破棄
		response.sendRedirect("LogoutServlet");
	}

}

MyProject/src/controller/LoginServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.User;
import dao.UserDao;

/**
 * Servlet implementation class Login
 */
@WebServlet("/LoginServlet")
public class LoginServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public LoginServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		//ログイン時のセッションを取得
		HttpSession session = request.getSession();
		User user = (User) session.getAttribute("userInfo");

		//セッションがない場合はログイン画面へ
		if (user == null) {
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
			dispatcher.forward(request, response);
			return;
			//セッションが残っている場合はマイページへリダイレクト
		} else {
			response.sendRedirect("MyPageServlet");
		}
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		// リクエストパラメータの文字コードを指定
		request.setCharacterEncoding("UTF-8");

		// リクエストパラメータの入力項目を取得
		String loginId = request.getParameter("loginId");
		String password = request.getParameter("password");

		UserDao userDao = new UserDao();
		User user = userDao.findByLoginInfo(loginId, password);

		/**ログイン失敗時**/
		if (user == null) {
			request.setAttribute("errMsg", "\"ログインID\"または\"パスワード\"が異なります");
			//フォワード(ログイン画面に戻る)
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
			dispatcher.forward(request, response);
			return;
		}
		/**ログイン成功時**/
		//セッションにユーザ情報をセット
		HttpSession session = request.getSession();
		session.setAttribute("userInfo", user);
		//チャットルーム一覧のサーブレットにリダイレクト
		response.sendRedirect("TimelineListServlet");
	}
}

MyProject/src/controller/MyPageServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.User;

/**
 * Servlet implementation class MyPageServlet
 */
@WebServlet("/MyPageServlet")
public class MyPageServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public MyPageServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		//ログイン時のセッションを取得
		HttpSession session = request.getSession();
		User user = (User) session.getAttribute("userInfo");
		//セッションがない場合はログイン画面へ
		if (user == null) {
			request.setAttribute("errMsg", "ログインしてください");
			//フォワード(ログイン画面に戻る)
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
			dispatcher.forward(request, response);
			return;
		}

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/mypage.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		// TODO Auto-generated method stub
		doGet(request, response);
	}

}

MyProject/src/controller/NewRoomServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.User;
import dao.RoomDao;

/**
 * Servlet implementation class NewRoomServlet
 */
@WebServlet("/NewRoomServlet")
public class NewRoomServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public NewRoomServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		//ログイン時のセッションを取得
		HttpSession session = request.getSession();
		User user = (User) session.getAttribute("userInfo");
		//セッションがない場合はログイン画面へ
		if (user == null) {
			request.setAttribute("errMsg", "ログインしてください");
			//フォワード(ログイン画面に戻る)
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
			dispatcher.forward(request, response);
			return;
		}

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/newroom.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		// リクエストパラメータの文字コードを指定
		request.setCharacterEncoding("UTF-8");

		//セッションから作成者のIDを取得
		HttpSession session = request.getSession();
		User user = (User) session.getAttribute("userInfo");
		int creatorId = user.getId();

		// リクエストパラメータの入力項目を取得
		String name = request.getParameter("name");
		String roomDetail = request.getParameter("detail");

		//タイトル欄が空欄の時
		if (name.equals("")) {
			request.setAttribute("errMsg", "タイトルを入力してください");

			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/newroom.jsp");
			dispatcher.forward(request, response);
			return;
		}
		RoomDao roomDao = new RoomDao();
		roomDao.InsertRoom(creatorId, name, roomDetail);

		//作成した部屋へリダイレクト
		//(テスト)ルーム一覧へ
		response.sendRedirect("TimelineListServlet");
	}

}

MyProject/src/controller/NewUserServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.MultipartConfig;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import javax.servlet.http.Part;

import beans.User;
import dao.UserDao;

/**
 * Servlet implementation class NewUser
 */
@WebServlet("/NewUserServlet")
@MultipartConfig(location = "C:\\Users\\LIKEIT_STUDENT.DESKTOP-QQASV86.000.001\\Documents\\myproject\\MyProject\\WebContent\\img", maxFileSize = 1048576)
public class NewUserServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public NewUserServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/newuser.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		// リクエストパラメータの文字コードを指定
		request.setCharacterEncoding("UTF-8");

		// リクエストパラメータの入力項目を取得
		String loginId = request.getParameter("loginId");
		String name = request.getParameter("name");
		String password1 = request.getParameter("password1");
		String password2 = request.getParameter("password2");
		Part part = request.getPart("profPicture");
		String fileName = this.getFileName(part);
		part.write(fileName);

		//写真を設定しない場合はデフォルトアイコンに設定
		if (fileName.equals("")) {
			fileName = "noImage.png";
		}

		//空欄がある時
		if (loginId == "" || name == "" || password1 == "") {
			request.setAttribute("errMsg", "未入力の項目があります");

			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/newuser.jsp");
			dispatcher.forward(request, response);
			return;
		}

		if (!password1.equals(password2)) {
			request.setAttribute("errMsg", "パスワードを確認してください");

			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/newuser.jsp");
			dispatcher.forward(request, response);
			return;
		}

		/**登録時にIDを受け取り、ログイン状態にする**/
		UserDao userDao = new UserDao();
		int i = userDao.InsertUser(loginId, name, password1, fileName);

		UserDao userDao2 = new UserDao();
		User user2 = userDao2.newUserLogin(i);

		HttpSession session = request.getSession();
		session.setAttribute("userInfo", user2);

		//マイページへリダイレクト
		response.sendRedirect("MyPageServlet");

	}

	private String getFileName(Part part) {
		String name = null;
		for (String dispotion : part.getHeader("Content-Disposition").split(";")) {
			if (dispotion.trim().startsWith("filename")) {
				name = dispotion.substring(dispotion.indexOf("=") + 1).replace("\"", "").trim();
				name = name.substring(name.lastIndexOf("\\") + 1);
				break;
			}
		}
		return name;
	}

}

MyProject/src/controller/TimelineListServlet.java
package controller;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import beans.Room;
import dao.RoomDao;

/**
 * Servlet implementation class TimelineListServlet
 */
@WebServlet("/TimelineListServlet")
public class TimelineListServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public TimelineListServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		//ルームデータを取得してからフォワード
		RoomDao roomDao = new RoomDao();
		List<Room> roomList = roomDao.findAll();

		request.setAttribute("roomList", roomList);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/timeline_list.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		/**検索処理**/
		//リクエストパラメータの文字コードを指定
		request.setCharacterEncoding("UTF-8");
		// リクエストパラメータの入力項目を取得
		String inputRoomName = request.getParameter("inputRoomName");
		//検索結果をセット
		RoomDao roomDao = new RoomDao();
		List<Room> result = roomDao.SeachRoom(inputRoomName);
		request.setAttribute("roomList", result);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/timeline_list.jsp");
		dispatcher.forward(request, response);
	}

}

MyProject/WebContent/WEB-INF/jsp/delete.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>ユーザ削除</title>
    <link rel="stylesheet"
    	    href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
    	    integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
    	    crossorigin="anonymous">
</head>
<body>

	<header style="background-color: snow">

		<div class="container">
         <div class="row">
			<div class="col"></div>
			<div class="col-">
				<h4 style="color: black">退会</h4>
			</div>
            <div class="col"></div>
         </div>
		</div>

	</header>

          <p class="h5 text-center">
          ログインID: ${userInfo.loginId}</p>
          <p class="h5 text-center">
          ${userInfo.name}さん
          </p>

    <br>
          <p class="h5 text-center">
          退会処理はキャンセルできません。
      <br>よろしいでしょうか？
          </p>


    <br>
    <br>
    <br>

<div class="container">
  <div class="row">

    <div class="col"></div>
    <div class="col">
    <button type="button" class="btn btn-outline-danger btn-lg"
            onclick="location.href='MyPageServlet'">
            キャンセル
    </button>
    </div>
    <div class="col">
    <form action="DeleteServlet" method="post">
        <input type="hidden" name="loginId" value="${userInfo.loginId}">
        <input type="submit" class="btn btn-danger btn-lg" value="退会">
        </form>
    </div>
  </div>
</div>

</body>
</html>

MyProject/WebContent/WEB-INF/jsp/login.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>ログイン</title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
	integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
	crossorigin="anonymous">
</head>
<body>

	<br>
	<div class="container">
		<div class="col">
			<h1 style="text-align: center">ログイン</h1>
			<br> <br>
		</div>
	</div>
	<br>


	<!-- エラーメッセージの処理 -->
	<c:if test="${errMsg != null}">
		<div class="alert alert-danger" role="alert">${errMsg}</div>
	</c:if>

	<!-- フォーム -->
	<form action="LoginServlet" method="post">

		<div class="container">
			<div class="row">
				<div class="col-3"></div>
				<div class="form-group col-6">
					<label for="name">ログインID</label> <input type="text" name="loginId"
						class="form-control">
				</div>
				<div class="col-3"></div>
			</div>
		</div>

		<div class="container">
			<div class="row">
				<div class="col-3"></div>
				<div class="form-group col-6">
					<label for="password">パスワード</label> <input type="password"
						name="password" class="form-control">
				</div>
				<div class="col-3"></div>
			</div>
		</div>
		<div class="container">
			<div class="row">
				<div class="col-5"></div>
				<button type="submit" class="btn btn-primary btn-block">ログイン</button>
				<div class="col-5"></div>
			</div>
		</div>
	</form>
	<br>
	<div class="container">
		<div class="row">
			<div class="col-5"></div>

			<button onclick="location.href='NewUserServlet'"
				class="btn btn-outline-primary btn-block">新規登録</button>
			<div class="col-5"></div>
		</div>
	</div>
</body>
</html>

MyProject/WebContent/WEB-INF/jsp/newroom.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>チャットルーム作成</title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
	integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
	crossorigin="anonymous">
</head>
<body>

	<header style="background-color: snow">
		<div class="mx-auto" style="width: 350px">
			<h4 style="color: black">新しいチャットルームの作成</h4>
		</div>
	</header>

	<br>

	<!-- フォーム -->
	<form action="NewRoomServlet" method="post">


		<div class="mx-auto" style="width: 500px">

			<div class="form-group">
				<label for="room_name">ルーム名</label> <input type="text" name="name"
					class="form-control">
			</div>

			<div class="form-group">
				<label for="room_detail">ルーム詳細</label> <br>
				<textarea name="detail" cols="70" rows="3"></textarea>
			</div>

			<br>

			<div class="container">
				<div class="row">
					<div class="col-5"></div>
					<button type="submit" class="btn btn-info btn-block">チャットルームを作成する</button>
					<div class="col-5"></div>
				</div>
			</div>
		</div>
	</form>

	<br>
	<div class="col row">
		<div class="col">
			<a href="TimelineListServlet">チャットルーム一覧へ戻る</a>
		</div>
	</div>
</body>
</html>

MyProject/WebContent/WEB-INF/jsp/timeline.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>チャットルーム名</title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
	integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
	crossorigin="anonymous">



</head>
<body>


	<header style="background-color: snow">

		<div class="row">
			<div class="col-4">
				<div class="dropdown">
					<button type="button" id="dropdown1"
						class="btn btn-success dropdown-toggle" data-toggle="dropdown"
						aria-haspopup="true" aria-expanded="false">メニュー</button>
					<div class="dropdown-menu" aria-labelledby="dropdown1">
						<a class="dropdown-item" href="MyPageServlet">マイページ</a> <a
							class="dropdown-item" href="NewRoomServlet">新規チャットルーム作成</a> <a
							class="dropdown-item" href="LogoutServlet">ログアウト</a>
					</div>
				</div>
			</div>
			<div class="col-">
				<h4 style="color: black">${room.name}</h4>
			</div>
		</div>

	</header>

	<!--入力フォームの呼び出し-->
	<button class="btn btn-info" data-toggle="collapse"
		data-target="#example-1" aria-expand="false" aria-controls="example-1">メッセージを作成</button>
	<!-- フォーム -->
	<form action="TimelineServlet" method="post">
		<!-- ユーザーidとルームidの情報 -->
		<input type="hidden" name="roomId" value="${room.id}"> <input
			type="hidden" name="userId" value="${userInfo.id}">

		<div class="collapse" id="example-1">
			<div class="card card-body">
				<div class="form-group">
					<textarea id="textarea" name="content" class="form-control"
						placeholder="メッセージを入力"></textarea>
					<button type="submit" class="btn btn-outline-info">書き込む</button>
				</div>
			</div>
		</div>
	</form>

	<table class="table">

		<tr>
			<td><strong>ルーム作成者:${room.creatorBeans.name}</strong><br>
				${room.createDate}<br> ${room.roomDetail}</td>
		</tr>
	</table>
	<!-- 投稿テーブル -->
	<table class="table">
		<c:forEach var="post" items="${postList}">
			<tr>
				<td><strong>${post.contributer.name}</strong>：${post.createDate}<br>
					${post.content}</td>
			</tr>
		</c:forEach>
	</table>

	<footer style="background-color: snow">
		<div class="col row">
			<div class="col">
				<a href="TimelineListServlet">チャットルーム一覧に戻る</a>
			</div>
		</div>
	</footer>

	<!-- jQuery、Popper.js、Bootstrap JS -->
	<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
		integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
		crossorigin="anonymous"></script>
	<script
		src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
		integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
		crossorigin="anonymous"></script>
	<script
		src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
		integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
		crossorigin="anonymous"></script>
</body>
</html>

<!--
-->